using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace GMCabsDriverAssistantSolution.Models.Rydo
{
    public class AcceptDeclineBookingResponse
    {
        public int StatusCode { get; set; }
        public string Message { get; set; }

        [JsonPropertyName("future_booking")]
        public bool FutureBooking { get; set; }

        [JsonPropertyName("payment_method_id")]
        public Guid? PaymentMethodId { get; set; }

        [JsonPropertyName("passenger_name")]
        public string PassengerName { get; set; }

        [JsonPropertyName("pickup_time")]
        public long? PickupTime { get; set; }

        [JsonPropertyName("is_corporate")]
        public bool IsCorporate { get; set; }
        public string PickUpAddress { get; set; }
        [JsonPropertyName("booking_id")]
        public Guid BookingId { get; set; }

        [JsonPropertyName("passenger_phone_number")]
        public string PassengerPhoneNumber { get; set; }
    }

}
